<?php get_header(); ?>
    <div class="wrap">
        <div id="primary" class="content-area">
            <main id="main" class="site-main" role="main">

                <?php if (have_posts()) :
                    $column = get_theme_mod('osf_album_archive_column', 3);
                    echo '<div class="row" data-elementor-columns="' . esc_attr($column) . '" data-elementor-columns-tablet="2" data-elementor-columns-mobile="1">';

                    while (have_posts()) : the_post();
                        $gallery = get_post_meta(get_the_ID(), 'osf_photos', true);
                        $is_gallery = is_array($gallery) && count($gallery) > 0;
                        ?>
                        <div class="column-item album-entries">
                            <article id="post-<?php the_ID(); ?>" <?php post_class('album'); ?>>
                                <div class="album-post-thumbnail">
                                    <?php if (has_post_thumbnail()) : ?>
                                        <?php the_post_thumbnail('lexrider-featured-image-small'); ?>
                                    <?php endif; ?>
                                    <div class="album-caption">
                                        <h2 class="entry-title"><?php the_title(); ?></h2>
                                        <?php if ($is_gallery): ?>
                                            <div class="entry-meta-photo h5 c-primary"><?php echo count($gallery) . ' ' . wp_kses_data(_n("Photo", "Photos", count($gallery), "lexrider")); ?></div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <?php if ($is_gallery):

                                    ?>
                                    <div class="opal-photo-action d-none">
                                        <?php foreach ($gallery as $id => $url): ?>
                                            <a href="<?php echo esc_url($url); ?>">
                                                <img src="<?php echo esc_url(wp_get_attachment_image_url($id, 'thumbnail')) ?>"/>
                                            </a>
                                        <?php endforeach; ?>
                                    </div>
                                <?php endif; ?>
                            </article>
                        </div>
                    <?php
                    endwhile;
                    echo '</div>';
                    the_posts_pagination(array(
                        'prev_text'          => '<span class="opal-icon-long-arrow-left"></span><span class="screen-reader-text">' . esc_html__('Previous page', 'lexrider') . '</span>',
                        'next_text'          => '<span class="screen-reader-text">' . esc_html__('Next page', 'lexrider') . '</span><span class="opal-icon-long-arrow-right"></span>',
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . esc_html__('Page', 'lexrider') . ' </span>',
                    ));
                else :
                    get_template_part('template-parts/post/content', 'none');

                endif; ?>

            </main><!-- #main -->
        </div><!-- #primary -->
    </div><!-- .wrap -->

<?php get_footer();
