<?php get_header(); ?>
    <div class="wrap">
        <div id="primary" class="content-area">
            <main id="main" class="site-main" role="main">

                <?php if (have_posts()) :
                    $column = get_theme_mod('osf_video_archive_column', 3);
                    echo '<div class="row" data-elementor-columns="' . esc_attr($column) . '" data-elementor-columns-tablet="2" data-elementor-columns-mobile="1">';

                    while (have_posts()) : the_post();
                        ?>
                        <div class="column-item video-entries">
                            <article id="post-<?php the_ID(); ?>" <?php post_class( 'video' ); ?>>
                                <div class="video-post-thumbnail">
                                    <?php if ( has_post_thumbnail() ) : ?>
                                        <?php the_post_thumbnail( 'lexrider-featured-image-small' ); ?>
                                    <?php endif; ?>
                                    <a class="play" data-id="<?php echo esc_attr( get_the_ID() ) ?>" href="<?php echo esc_url( get_post_meta( get_the_ID(), 'osf_video', true ) ) ?>"><i class="opal-icon-play"></i></a>
                                </div>
                            </article>
                        </div>
                    <?php
                    endwhile;
                    echo '</div>';
                    the_posts_pagination(array(
                        'prev_text'          => '<span class="opal-icon-long-arrow-left"></span><span class="screen-reader-text">' . esc_html__('Previous page', 'lexrider') . '</span>',
                        'next_text'          => '<span class="screen-reader-text">' . esc_html__('Next page', 'lexrider') . '</span><span class="opal-icon-long-arrow-right"></span>',
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . esc_html__('Page', 'lexrider') . ' </span>',
                    ));
                else :
                    get_template_part('template-parts/post/content', 'none');

                endif; ?>

            </main><!-- #main -->
        </div><!-- #primary -->
    </div><!-- .wrap -->

<?php get_footer();
